"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_bind_house_form_method = require("./method.js");
const CUSTOMER_bind_house_form_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_popup_project_houer2 = common_vendor.resolveComponent("hs-popup-project-houer");
  const _easycom_hs_radio_cell_picker2 = common_vendor.resolveComponent("hs-radio-cell-picker");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_upload_id_card2 = common_vendor.resolveComponent("hs-upload-id-card");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_popup_project_houer2 + _easycom_hs_radio_cell_picker2 + _easycom_hs_input2 + _easycom_hs_cell2 + _easycom_hs_upload_id_card2 + _easycom_hs_upload2 + _easycom_hs_footer2)();
}
const _easycom_hs_popup_project_houer = () => "../../components/hs-popup-project-houer/hs-popup-project-houer.js";
const _easycom_hs_radio_cell_picker = () => "../../components/hs-radio-cell-picker/hs-radio-cell-picker.js";
const _easycom_hs_input = () => "../../components/hs-input/hs-input.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_upload_id_card = () => "../../components/hs-upload-id-card/hs-upload-id-card.js";
const _easycom_hs_upload = () => "../../components/hs-upload/hs-upload.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_popup_project_houer + _easycom_hs_radio_cell_picker + _easycom_hs_input + _easycom_hs_cell + _easycom_hs_upload_id_card + _easycom_hs_upload + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const HouseRegistersTypeEnum = {
      AddOccupant: { text: "添加住户", value: "AddOccupant" },
      AddOwner: { text: "添加产权人", value: "AddOwner" }
    };
    const HouseOccupantsResidentialRelationEnum = {
      Tenant: { text: "租客", color: "#fa8c16", value: "Tenant" },
      Resident: { text: "住户", color: "#2db7f5", value: "Resident" },
      PrimaryTenant: { text: "主租人", color: "#87d068", value: "PrimaryTenant" }
    };
    common_vendor.onLoad((e) => {
      CUSTOMER_bind_house_form_model.useModel.formData.value.asset_houses_id = e == null ? void 0 : e.asset_houses_id;
      console.log(e, "222");
    });
    common_vendor.onShow(() => {
      var _a;
      (_a = CUSTOMER_bind_house_form_method.method) == null ? void 0 : _a.init();
    });
    common_vendor.onUnload(() => {
      CUSTOMER_bind_house_form_model.useModel.formData.value = { type: "AddOwner", card_type: "MainlandID", house_relation: "Owner" };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(CUSTOMER_bind_house_form_method.method)) == null ? void 0 : _a.handleSelectProject),
        b: common_vendor.p({
          title: "选择房屋",
          defaultValueName: (_d = (_c = (_b = common_vendor.unref(CUSTOMER_bind_house_form_model.useModel)) == null ? void 0 : _b.formData) == null ? void 0 : _c.value) == null ? void 0 : _d.full_name
        }),
        c: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type = $event),
        d: common_vendor.p({
          Enums: HouseRegistersTypeEnum,
          title: "类型",
          borderTop: true,
          required: true,
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type
        }),
        e: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type === "AddOccupant"
      }, common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type === "AddOccupant" ? {
        f: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.residential_relation = $event),
        g: common_vendor.p({
          Enums: HouseOccupantsResidentialRelationEnum,
          title: "居住关系",
          borderTop: true,
          required: true,
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.residential_relation
        })
      } : {}, {
        h: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.name = $event),
        i: common_vendor.p({
          textAlign: "right",
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.name
        }),
        j: common_vendor.p({
          title: "真实姓名",
          required: true,
          borderTop: true
        }),
        k: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.phone = $event),
        l: common_vendor.p({
          maxLength: "11",
          textAlign: "right",
          type: "number",
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.phone
        }),
        m: common_vendor.p({
          title: "手机号",
          required: true,
          borderTop: true
        }),
        n: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.id_card = $event),
        o: common_vendor.p({
          maxLength: "18",
          textAlign: "right",
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.id_card
        }),
        p: common_vendor.p({
          title: "身份证号",
          required: true,
          borderTop: true
        }),
        q: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.card_front_image = $event),
        r: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.card_back_image = $event),
        s: common_vendor.p({
          required: true,
          valueFrontModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.card_front_image,
          valueBackModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.card_back_image
        }),
        t: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type === "AddOwner"
      }, common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.type === "AddOwner" ? {
        v: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.ownership_info = $event),
        w: common_vendor.p({
          title: "上传房产证",
          count: 10,
          size: 4,
          required: true,
          borderTop: true,
          valueModel: common_vendor.unref(CUSTOMER_bind_house_form_model.useModel).formData.value.ownership_info
        })
      } : {}, {
        x: common_vendor.o((_e = common_vendor.unref(CUSTOMER_bind_house_form_method.method)) == null ? void 0 : _e.handleSubmit),
        y: common_vendor.p({
          btnParimaryName: "绑定房屋",
          loading: (_g = (_f = common_vendor.unref(CUSTOMER_bind_house_form_model.useModel)) == null ? void 0 : _f.loading) == null ? void 0 : _g.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/bind_house_form/index.vue"]]);
wx.createPage(MiniProgramPage);
